Skip to main content

submit_multisigned

POST

Submits a multi-signed transaction to the network.The sum of the signature weights in the Signers array must meet the SignerList quorum.
param[0]
parametersobjectrequired
tx_jsonobjectrequired
The transaction to submit. It must include the Signers array, andthe sum of the signature weights must be at least the quorum of the account's SignerList.
fail_hardboolean
Whether to skip retrying or relaying to other nodes when local validation fails.
Responses
engine_resultstring
The preliminary result code of the transaction. (e.g.) tesSUCCESS
engine_result_codeinteger
The numeric value corresponding to the preliminary result code.
engine_result_messagestring
A human-readable explanation of the preliminary result.
tx_blobstring
The submitted transaction, hex-encoded.
tx_jsonobject
The submitted transaction data.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://xrpl-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"method": "submit_multisigned",
"params": [
{
"tx_json": {
"Account": "r9cZA1mLK5R5Am25ArfXFmqgNwjZgnfk59",
"Amount": "1000000",
"Destination": "rMwjYedjc7qqtKYVLiAccJSmCwih4LnE2q",
"Fee": "30000",
"Sequence": 4,
"SigningPubKey": "",
"TransactionType": "Payment",
"Signers": [
{
"Signer": {
"Account": "rPzwM2JfCSDjhbesdThqWzMBGKAzHnAdCH",
"SigningPubKey": "02A1B2C3D4E5F60718293A4B5C6D7E8F90A1B2C3D4E5F60718293A4B5C6D7E8F90",
"TxnSignature": "3045022100B1C2D3E4F50617283940A1B2C3D4E5F60718293A4B5C6D7E8F9"
}
}
]
},
"fail_hard": false
}
]
}'